> ## Documentation Index
> Fetch the complete documentation index at: https://docs.julep.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Details



## OpenAPI

````yaml https://api.julep.ai/api/openapi.json get /tasks/{task_id}
openapi: 3.1.0
info:
  title: Julep Agents API
  description: API for Julep Agents
  termsOfService: https://www.julep.ai/terms
  contact:
    name: Julep
    url: https://www.julep.ai/
    email: developers@julep.ai
  version: 0.4.0
servers:
  - url: /api
security: []
paths:
  /tasks/{task_id}:
    get:
      tags:
        - tasks
      summary: Get Task Details
      operationId: get_task_details_tasks__task_id__get
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Task Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Task'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Task:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        canonical_name:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
              pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
            - type: 'null'
          title: Canonical Name
        description:
          type: string
          title: Description
          default: ''
        main:
          items:
            anyOf:
              - $ref: '#/components/schemas/EvaluateStep'
              - $ref: '#/components/schemas/ToolCallStep'
              - $ref: '#/components/schemas/PromptStep-Output'
              - $ref: '#/components/schemas/GetStep'
              - $ref: '#/components/schemas/SetStep'
              - $ref: '#/components/schemas/LogStep'
              - $ref: '#/components/schemas/YieldStep'
              - $ref: '#/components/schemas/ReturnStep'
              - $ref: '#/components/schemas/SleepStep'
              - $ref: '#/components/schemas/ErrorWorkflowStep'
              - $ref: '#/components/schemas/WaitForInputStep'
              - $ref: '#/components/schemas/IfElseWorkflowStep-Output'
              - $ref: '#/components/schemas/SwitchStep-Output'
              - $ref: '#/components/schemas/ForeachStep-Output'
              - $ref: '#/components/schemas/ParallelStep-Output'
              - $ref: '#/components/schemas/Main-Output'
          type: array
          minItems: 1
          title: Main
        input_schema:
          anyOf:
            - type: object
            - type: 'null'
          title: Input Schema
        tools:
          items:
            $ref: '#/components/schemas/TaskTool-Output'
          type: array
          title: Tools
          default: []
        inherit_tools:
          type: boolean
          title: Inherit Tools
          default: false
        id:
          type: string
          format: uuid
          title: Id
          readOnly: true
        created_at:
          type: string
          format: date-time
          title: Created At
          readOnly: true
        updated_at:
          type: string
          format: date-time
          title: Updated At
          readOnly: true
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
      additionalProperties: true
      type: object
      required:
        - name
        - main
        - id
        - created_at
        - updated_at
      title: Task
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EvaluateStep:
      properties:
        kind_:
          type: string
          const: evaluate
          title: Kind
          default: evaluate
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        evaluate:
          additionalProperties:
            anyOf:
              - type: object
              - type: string
          type: object
          title: Evaluate
      type: object
      required:
        - evaluate
      title: EvaluateStep
    ToolCallStep:
      properties:
        kind_:
          type: string
          const: tool_call
          title: Kind
          default: tool_call
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        tool:
          type: string
          maxLength: 40
          pattern: ^[^\W0-9]\w*$
          title: Tool
        arguments:
          anyOf:
            - type: object
            - type: string
              const: _
          title: Arguments
          default: _
      type: object
      required:
        - tool
      title: ToolCallStep
    PromptStep-Output:
      properties:
        kind_:
          type: string
          const: prompt
          title: Kind
          default: prompt
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        prompt:
          anyOf:
            - items:
                $ref: '#/components/schemas/PromptItem-Output'
              type: array
            - type: string
          title: Prompt
        tools:
          anyOf:
            - type: string
              const: all
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ToolRef'
                  - $ref: '#/components/schemas/CreateToolRequest-Output'
              type: array
          title: Tools
          default: all
        tool_choice:
          anyOf:
            - type: string
              enum:
                - auto
                - none
            - $ref: '#/components/schemas/NamedToolChoice'
            - type: 'null'
          title: Tool Choice
        settings:
          anyOf:
            - type: object
            - type: 'null'
          title: Settings
        unwrap:
          type: boolean
          title: Unwrap
          default: false
        auto_run_tools:
          type: boolean
          title: Auto Run Tools
          default: false
        disable_cache:
          type: boolean
          title: Disable Cache
          default: false
      type: object
      required:
        - prompt
      title: PromptStep
    GetStep:
      properties:
        kind_:
          type: string
          const: get
          title: Kind
          default: get
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        get:
          type: string
          title: Get
      type: object
      required:
        - get
      title: GetStep
    SetStep:
      properties:
        kind_:
          type: string
          const: set
          title: Kind
          default: set
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        set:
          additionalProperties:
            anyOf:
              - type: object
              - type: string
          type: object
          title: Set
      type: object
      required:
        - set
      title: SetStep
    LogStep:
      properties:
        kind_:
          type: string
          const: log
          title: Kind
          default: log
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        log:
          type: string
          title: Log
      type: object
      required:
        - log
      title: LogStep
    YieldStep:
      properties:
        kind_:
          type: string
          const: yield
          title: Kind
          default: yield
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        workflow:
          type: string
          title: Workflow
        arguments:
          anyOf:
            - additionalProperties:
                anyOf:
                  - items:
                      type: string
                    type: array
                  - additionalProperties:
                      type: string
                    type: object
                  - items:
                      additionalProperties:
                        type: string
                      type: object
                    type: array
                  - type: string
              type: object
            - type: string
              const: _
          title: Arguments
          default: _
      type: object
      required:
        - workflow
      title: YieldStep
    ReturnStep:
      properties:
        kind_:
          type: string
          const: return
          title: Kind
          default: return
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        return:
          additionalProperties:
            anyOf:
              - items:
                  type: string
                type: array
              - additionalProperties:
                  type: string
                type: object
              - items:
                  additionalProperties:
                    type: string
                  type: object
                type: array
              - type: string
          type: object
          title: Return
      type: object
      required:
        - return
      title: ReturnStep
    SleepStep:
      properties:
        kind_:
          type: string
          const: sleep
          title: Kind
          default: sleep
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        sleep:
          $ref: '#/components/schemas/SleepFor'
      type: object
      required:
        - sleep
      title: SleepStep
    ErrorWorkflowStep:
      properties:
        kind_:
          type: string
          const: error
          title: Kind
          default: error
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        error:
          type: string
          title: Error
      type: object
      required:
        - error
      title: ErrorWorkflowStep
    WaitForInputStep:
      properties:
        kind_:
          type: string
          const: wait_for_input
          title: Kind
          default: wait_for_input
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        wait_for_input:
          $ref: '#/components/schemas/WaitForInputInfo'
      type: object
      required:
        - wait_for_input
      title: WaitForInputStep
    IfElseWorkflowStep-Output:
      properties:
        kind_:
          type: string
          const: if_else
          title: Kind
          default: if_else
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        if:
          type: string
          title: If
        then:
          anyOf:
            - $ref: '#/components/schemas/WaitForInputStep'
            - $ref: '#/components/schemas/EvaluateStep'
            - $ref: '#/components/schemas/ToolCallStep'
            - $ref: '#/components/schemas/PromptStep-Output'
            - $ref: '#/components/schemas/GetStep'
            - $ref: '#/components/schemas/SetStep'
            - $ref: '#/components/schemas/LogStep'
            - $ref: '#/components/schemas/YieldStep'
            - $ref: '#/components/schemas/ReturnStep'
            - $ref: '#/components/schemas/SleepStep'
            - $ref: '#/components/schemas/ErrorWorkflowStep'
            - $ref: '#/components/schemas/IfElseWorkflowStep-Output'
            - $ref: '#/components/schemas/SwitchStep-Output'
            - $ref: '#/components/schemas/ForeachStep-Output'
            - $ref: '#/components/schemas/ParallelStep-Output'
            - $ref: '#/components/schemas/Then-Output'
          title: Then
        else:
          anyOf:
            - $ref: '#/components/schemas/WaitForInputStep'
            - $ref: '#/components/schemas/EvaluateStep'
            - $ref: '#/components/schemas/ToolCallStep'
            - $ref: '#/components/schemas/PromptStep-Output'
            - $ref: '#/components/schemas/GetStep'
            - $ref: '#/components/schemas/SetStep'
            - $ref: '#/components/schemas/LogStep'
            - $ref: '#/components/schemas/YieldStep'
            - $ref: '#/components/schemas/ReturnStep'
            - $ref: '#/components/schemas/SleepStep'
            - $ref: '#/components/schemas/ErrorWorkflowStep'
            - $ref: '#/components/schemas/IfElseWorkflowStep-Output'
            - $ref: '#/components/schemas/SwitchStep-Output'
            - $ref: '#/components/schemas/ForeachStep-Output'
            - $ref: '#/components/schemas/ParallelStep-Output'
            - $ref: '#/components/schemas/Else-Output'
            - type: 'null'
          title: Else
      type: object
      required:
        - if
        - then
      title: IfElseWorkflowStep
    SwitchStep-Output:
      properties:
        kind_:
          type: string
          const: switch
          title: Kind
          default: switch
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        switch:
          items:
            $ref: '#/components/schemas/CaseThen-Output'
          type: array
          minItems: 1
          title: Switch
      type: object
      required:
        - switch
      title: SwitchStep
    ForeachStep-Output:
      properties:
        kind_:
          type: string
          const: foreach
          title: Kind
          default: foreach
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        foreach:
          $ref: '#/components/schemas/ForeachDo-Output'
      type: object
      required:
        - foreach
      title: ForeachStep
    ParallelStep-Output:
      properties:
        kind_:
          type: string
          const: parallel
          title: Kind
          default: parallel
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        parallel:
          items:
            anyOf:
              - $ref: '#/components/schemas/EvaluateStep'
              - $ref: '#/components/schemas/ToolCallStep'
              - $ref: '#/components/schemas/PromptStep-Output'
              - $ref: '#/components/schemas/GetStep'
              - $ref: '#/components/schemas/SetStep'
              - $ref: '#/components/schemas/LogStep'
              - $ref: '#/components/schemas/YieldStep'
          type: array
          maxItems: 100
          title: Parallel
      type: object
      required:
        - parallel
      title: ParallelStep
    Main-Output:
      properties:
        kind_:
          type: string
          const: map_reduce
          title: Kind
          default: map_reduce
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        over:
          type: string
          title: Over
        map:
          anyOf:
            - $ref: '#/components/schemas/EvaluateStep'
            - $ref: '#/components/schemas/ToolCallStep'
            - $ref: '#/components/schemas/PromptStep-Output'
            - $ref: '#/components/schemas/GetStep'
            - $ref: '#/components/schemas/SetStep'
            - $ref: '#/components/schemas/LogStep'
            - $ref: '#/components/schemas/YieldStep'
          title: Map
        reduce:
          anyOf:
            - type: string
            - type: 'null'
          title: Reduce
        initial:
          title: Initial
          default: []
        parallelism:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 1
            - type: 'null'
          title: Parallelism
      type: object
      required:
        - over
        - map
      title: Main
    TaskTool-Output:
      properties:
        name:
          type: string
          maxLength: 40
          pattern: ^[^\W0-9]\w*$
          title: Name
        type:
          type: string
          enum:
            - function
            - integration
            - system
            - api_call
            - computer_20241022
            - text_editor_20241022
            - bash_20241022
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        function:
          anyOf:
            - $ref: '#/components/schemas/FunctionDef'
            - type: 'null'
        integration:
          anyOf:
            - $ref: '#/components/schemas/DummyIntegrationDef'
            - $ref: '#/components/schemas/BraveIntegrationDef'
            - $ref: '#/components/schemas/EmailIntegrationDef'
            - $ref: '#/components/schemas/SpiderIntegrationDef'
            - $ref: '#/components/schemas/WikipediaIntegrationDef'
            - $ref: '#/components/schemas/WeatherIntegrationDef'
            - $ref: '#/components/schemas/MailgunIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseContextIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseExtensionIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseListSessionsIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseCreateSessionIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseGetSessionIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseCompleteSessionIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseGetSessionLiveUrlsIntegrationDef'
            - $ref: '#/components/schemas/RemoteBrowserIntegrationDef'
            - $ref: '#/components/schemas/LlamaParseIntegrationDef'
            - $ref: '#/components/schemas/FfmpegIntegrationDef'
            - $ref: '#/components/schemas/CloudinaryUploadIntegrationDef'
            - $ref: '#/components/schemas/CloudinaryEditIntegrationDef'
            - $ref: '#/components/schemas/ArxivIntegrationDef'
            - $ref: '#/components/schemas/UnstructuredIntegrationDef'
            - $ref: '#/components/schemas/AlgoliaIntegrationDef'
            - $ref: '#/components/schemas/McpIntegrationDef'
            - $ref: '#/components/schemas/GoogleSheetsIntegrationDef-Output'
            - type: 'null'
          title: Integration
        system:
          anyOf:
            - $ref: '#/components/schemas/SystemDef'
            - type: 'null'
        api_call:
          anyOf:
            - $ref: '#/components/schemas/ApiCallDef-Output'
            - type: 'null'
        computer_20241022:
          anyOf:
            - $ref: '#/components/schemas/Computer20241022Def'
            - type: 'null'
        text_editor_20241022:
          anyOf:
            - $ref: '#/components/schemas/TextEditor20241022Def'
            - type: 'null'
        bash_20241022:
          anyOf:
            - $ref: '#/components/schemas/Bash20241022Def'
            - type: 'null'
        inherited:
          type: boolean
          title: Inherited
          default: false
          readOnly: true
      type: object
      required:
        - name
        - type
      title: TaskTool
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PromptItem-Output:
      properties:
        role:
          type: string
          enum:
            - user
            - assistant
            - system
            - tool
          title: Role
        tool_call_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Call Id
        content:
          anyOf:
            - items:
                type: string
              type: array
            - items:
                anyOf:
                  - $ref: '#/components/schemas/Content-Output'
                  - $ref: >-
                      #/components/schemas/agents_api__autogen__Tasks__ContentModel
                  - $ref: >-
                      #/components/schemas/agents_api__autogen__Tasks__ContentModel1-Output
              type: array
            - type: string
            - type: 'null'
          title: Content
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        tool_calls:
          anyOf:
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ChosenFunctionCall'
                  - $ref: '#/components/schemas/ChosenComputer20241022'
                  - $ref: '#/components/schemas/ChosenTextEditor20241022'
                  - $ref: '#/components/schemas/ChosenBash20241022'
              type: array
            - type: 'null'
          title: Tool Calls
          default: []
      type: object
      required:
        - role
        - content
      title: PromptItem
    ToolRef:
      properties:
        ref:
          anyOf:
            - $ref: '#/components/schemas/ToolRefById'
            - $ref: '#/components/schemas/ToolRefByName'
          title: Ref
      type: object
      required:
        - ref
      title: ToolRef
      description: Reference to a tool
    CreateToolRequest-Output:
      properties:
        name:
          type: string
          maxLength: 40
          pattern: ^[^\W0-9]\w*$
          title: Name
        type:
          type: string
          enum:
            - function
            - integration
            - system
            - api_call
            - computer_20241022
            - text_editor_20241022
            - bash_20241022
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        function:
          anyOf:
            - $ref: '#/components/schemas/FunctionDef'
            - type: 'null'
        integration:
          anyOf:
            - $ref: '#/components/schemas/DummyIntegrationDef'
            - $ref: '#/components/schemas/BraveIntegrationDef'
            - $ref: '#/components/schemas/EmailIntegrationDef'
            - $ref: '#/components/schemas/SpiderIntegrationDef'
            - $ref: '#/components/schemas/WikipediaIntegrationDef'
            - $ref: '#/components/schemas/WeatherIntegrationDef'
            - $ref: '#/components/schemas/MailgunIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseContextIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseExtensionIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseListSessionsIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseCreateSessionIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseGetSessionIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseCompleteSessionIntegrationDef'
            - $ref: '#/components/schemas/BrowserbaseGetSessionLiveUrlsIntegrationDef'
            - $ref: '#/components/schemas/RemoteBrowserIntegrationDef'
            - $ref: '#/components/schemas/LlamaParseIntegrationDef'
            - $ref: '#/components/schemas/FfmpegIntegrationDef'
            - $ref: '#/components/schemas/CloudinaryUploadIntegrationDef'
            - $ref: '#/components/schemas/CloudinaryEditIntegrationDef'
            - $ref: '#/components/schemas/ArxivIntegrationDef'
            - $ref: '#/components/schemas/UnstructuredIntegrationDef'
            - $ref: '#/components/schemas/AlgoliaIntegrationDef'
            - $ref: '#/components/schemas/McpIntegrationDef'
            - $ref: '#/components/schemas/GoogleSheetsIntegrationDef-Output'
            - type: 'null'
          title: Integration
        system:
          anyOf:
            - $ref: '#/components/schemas/SystemDef'
            - type: 'null'
        api_call:
          anyOf:
            - $ref: '#/components/schemas/ApiCallDef-Output'
            - type: 'null'
        computer_20241022:
          anyOf:
            - $ref: '#/components/schemas/Computer20241022Def'
            - type: 'null'
        text_editor_20241022:
          anyOf:
            - $ref: '#/components/schemas/TextEditor20241022Def'
            - type: 'null'
        bash_20241022:
          anyOf:
            - $ref: '#/components/schemas/Bash20241022Def'
            - type: 'null'
      type: object
      required:
        - name
        - type
      title: CreateToolRequest
      description: Payload for creating a tool
    NamedToolChoice:
      properties:
        function:
          anyOf:
            - $ref: '#/components/schemas/FunctionCallOption'
            - type: 'null'
      type: object
      title: NamedToolChoice
    SleepFor:
      properties:
        seconds:
          type: integer
          maximum: 60
          minimum: 0
          title: Seconds
          default: 0
        minutes:
          type: integer
          maximum: 60
          minimum: 0
          title: Minutes
          default: 0
        hours:
          type: integer
          maximum: 24
          minimum: 0
          title: Hours
          default: 0
        days:
          type: integer
          maximum: 30
          minimum: 0
          title: Days
          default: 0
      type: object
      title: SleepFor
    WaitForInputInfo:
      properties:
        info:
          additionalProperties:
            anyOf:
              - items:
                  type: string
                type: array
              - additionalProperties:
                  type: string
                type: object
              - items:
                  additionalProperties:
                    type: string
                  type: object
                type: array
              - type: string
          type: object
          title: Info
      type: object
      required:
        - info
      title: WaitForInputInfo
    Then-Output:
      properties:
        kind_:
          type: string
          const: map_reduce
          title: Kind
          default: map_reduce
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        over:
          type: string
          title: Over
        map:
          anyOf:
            - $ref: '#/components/schemas/EvaluateStep'
            - $ref: '#/components/schemas/ToolCallStep'
            - $ref: '#/components/schemas/PromptStep-Output'
            - $ref: '#/components/schemas/GetStep'
            - $ref: '#/components/schemas/SetStep'
            - $ref: '#/components/schemas/LogStep'
            - $ref: '#/components/schemas/YieldStep'
          title: Map
        reduce:
          anyOf:
            - type: string
            - type: 'null'
          title: Reduce
        initial:
          title: Initial
          default: []
        parallelism:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 1
            - type: 'null'
          title: Parallelism
      type: object
      required:
        - over
        - map
      title: Then
      description: The steps to run if the condition is true
    Else-Output:
      properties:
        kind_:
          type: string
          const: map_reduce
          title: Kind
          default: map_reduce
          readOnly: true
        label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Label
        over:
          type: string
          title: Over
        map:
          anyOf:
            - $ref: '#/components/schemas/EvaluateStep'
            - $ref: '#/components/schemas/ToolCallStep'
            - $ref: '#/components/schemas/PromptStep-Output'
            - $ref: '#/components/schemas/GetStep'
            - $ref: '#/components/schemas/SetStep'
            - $ref: '#/components/schemas/LogStep'
            - $ref: '#/components/schemas/YieldStep'
          title: Map
        reduce:
          anyOf:
            - type: string
            - type: 'null'
          title: Reduce
        initial:
          title: Initial
          default: []
        parallelism:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 1
            - type: 'null'
          title: Parallelism
      type: object
      required:
        - over
        - map
      title: Else
      description: The steps to run if the condition is false
    CaseThen-Output:
      properties:
        case:
          anyOf:
            - type: string
              const: _
            - type: string
          title: Case
        then:
          anyOf:
            - $ref: '#/components/schemas/EvaluateStep'
            - $ref: '#/components/schemas/ToolCallStep'
            - $ref: '#/components/schemas/PromptStep-Output'
            - $ref: '#/components/schemas/GetStep'
            - $ref: '#/components/schemas/SetStep'
            - $ref: '#/components/schemas/LogStep'
            - $ref: '#/components/schemas/YieldStep'
            - $ref: '#/components/schemas/ReturnStep'
            - $ref: '#/components/schemas/SleepStep'
            - $ref: '#/components/schemas/ErrorWorkflowStep'
            - $ref: '#/components/schemas/WaitForInputStep'
          title: Then
      type: object
      required:
        - case
        - then
      title: CaseThen
    ForeachDo-Output:
      properties:
        in:
          type: string
          title: In
        do:
          anyOf:
            - $ref: '#/components/schemas/WaitForInputStep'
            - $ref: '#/components/schemas/EvaluateStep'
            - $ref: '#/components/schemas/ToolCallStep'
            - $ref: '#/components/schemas/PromptStep-Output'
            - $ref: '#/components/schemas/GetStep'
            - $ref: '#/components/schemas/SetStep'
            - $ref: '#/components/schemas/LogStep'
            - $ref: '#/components/schemas/YieldStep'
          title: Do
      type: object
      required:
        - in
        - do
      title: ForeachDo
    FunctionDef:
      properties:
        name:
          anyOf:
            - {}
            - type: 'null'
          title: Name
        description:
          anyOf:
            - {}
            - type: 'null'
          title: Description
        parameters:
          anyOf:
            - type: object
            - type: 'null'
          title: Parameters
      type: object
      title: FunctionDef
      description: Function definition
    DummyIntegrationDef:
      properties:
        provider:
          type: string
          const: dummy
          title: Provider
          default: dummy
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - {}
            - type: 'null'
          title: Setup
        arguments:
          anyOf:
            - {}
            - type: 'null'
          title: Arguments
      type: object
      title: DummyIntegrationDef
    BraveIntegrationDef:
      properties:
        provider:
          type: string
          const: brave
          title: Provider
          default: brave
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - $ref: '#/components/schemas/BraveSearchSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/BraveSearchArguments'
            - type: 'null'
      type: object
      title: BraveIntegrationDef
      description: Brave integration definition
    EmailIntegrationDef:
      properties:
        provider:
          type: string
          const: email
          title: Provider
          default: email
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - $ref: '#/components/schemas/EmailSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/EmailArguments'
            - type: 'null'
      type: object
      title: EmailIntegrationDef
      description: Email integration definition
    SpiderIntegrationDef:
      properties:
        provider:
          type: string
          const: spider
          title: Provider
          default: spider
        method:
          anyOf:
            - type: string
              enum:
                - crawl
                - links
                - screenshot
                - search
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - $ref: '#/components/schemas/SpiderSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/SpiderFetchArguments'
            - type: 'null'
      type: object
      title: SpiderIntegrationDef
      description: Spider integration definition
    WikipediaIntegrationDef:
      properties:
        provider:
          type: string
          const: wikipedia
          title: Provider
          default: wikipedia
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - {}
            - type: 'null'
          title: Setup
        arguments:
          anyOf:
            - $ref: '#/components/schemas/WikipediaSearchArguments'
            - type: 'null'
      type: object
      title: WikipediaIntegrationDef
      description: Wikipedia integration definition
    WeatherIntegrationDef:
      properties:
        provider:
          type: string
          const: weather
          title: Provider
          default: weather
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - $ref: '#/components/schemas/WeatherSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/WeatherGetArguments'
            - type: 'null'
      type: object
      title: WeatherIntegrationDef
      description: Weather integration definition
    MailgunIntegrationDef:
      properties:
        provider:
          type: string
          const: mailgun
          title: Provider
          default: mailgun
        method:
          anyOf:
            - type: string
              const: send_email
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - $ref: '#/components/schemas/MailgunSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/MailgunSendEmailArguments'
            - type: 'null'
      type: object
      title: MailgunIntegrationDef
      description: Mailgun integration definition
    BrowserbaseContextIntegrationDef:
      properties:
        provider:
          type: string
          const: browserbase
          title: Provider
          default: browserbase
        method:
          type: string
          const: create_context
          title: Method
          default: create_context
        setup:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseContextArguments'
            - type: 'null'
      type: object
      title: BrowserbaseContextIntegrationDef
      description: browserbase context provider
    BrowserbaseExtensionIntegrationDef:
      properties:
        provider:
          type: string
          const: browserbase
          title: Provider
          default: browserbase
        method:
          anyOf:
            - type: string
              const: install_extension_from_github
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseExtensionArguments'
            - type: 'null'
      type: object
      title: BrowserbaseExtensionIntegrationDef
      description: browserbase extension provider
    BrowserbaseListSessionsIntegrationDef:
      properties:
        provider:
          type: string
          const: browserbase
          title: Provider
          default: browserbase
        method:
          type: string
          const: list_sessions
          title: Method
          default: list_sessions
        setup:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseListSessionsArguments'
            - type: 'null'
      type: object
      title: BrowserbaseListSessionsIntegrationDef
      description: browserbase list sessions integration definition
    BrowserbaseCreateSessionIntegrationDef:
      properties:
        provider:
          type: string
          const: browserbase
          title: Provider
          default: browserbase
        method:
          type: string
          const: create_session
          title: Method
          default: create_session
        setup:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseCreateSessionArguments'
            - type: 'null'
      type: object
      title: BrowserbaseCreateSessionIntegrationDef
      description: browserbase create session integration definition
    BrowserbaseGetSessionIntegrationDef:
      properties:
        provider:
          type: string
          const: browserbase
          title: Provider
          default: browserbase
        method:
          type: string
          const: get_session
          title: Method
          default: get_session
        setup:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseGetSessionArguments'
            - type: 'null'
      type: object
      title: BrowserbaseGetSessionIntegrationDef
      description: browserbase get session integration definition
    BrowserbaseCompleteSessionIntegrationDef:
      properties:
        provider:
          type: string
          const: browserbase
          title: Provider
          default: browserbase
        method:
          type: string
          const: complete_session
          title: Method
          default: complete_session
        setup:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseCompleteSessionArguments'
            - type: 'null'
      type: object
      title: BrowserbaseCompleteSessionIntegrationDef
      description: browserbase complete session integration definition
    BrowserbaseGetSessionLiveUrlsIntegrationDef:
      properties:
        provider:
          type: string
          const: browserbase
          title: Provider
          default: browserbase
        method:
          type: string
          const: get_live_urls
          title: Method
          default: get_live_urls
        setup:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/BrowserbaseGetSessionLiveUrlsArguments'
            - type: 'null'
      type: object
      title: BrowserbaseGetSessionLiveUrlsIntegrationDef
      description: browserbase get session live urls integration definition
    RemoteBrowserIntegrationDef:
      properties:
        provider:
          type: string
          const: remote_browser
          title: Provider
          default: remote_browser
        method:
          type: string
          const: perform_action
          title: Method
          default: perform_action
        setup:
          $ref: '#/components/schemas/RemoteBrowserSetup'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/RemoteBrowserArguments'
            - type: 'null'
      type: object
      required:
        - setup
      title: RemoteBrowserIntegrationDef
      description: The integration definition for the remote browser
    LlamaParseIntegrationDef:
      properties:
        provider:
          type: string
          const: llama_parse
          title: Provider
          default: llama_parse
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - $ref: '#/components/schemas/LlamaParseSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/LlamaParseFetchArguments'
            - type: 'null'
      type: object
      title: LlamaParseIntegrationDef
      description: LlamaParse integration definition
    FfmpegIntegrationDef:
      properties:
        provider:
          type: string
          const: ffmpeg
          title: Provider
          default: ffmpeg
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - {}
            - type: 'null'
          title: Setup
        arguments:
          anyOf:
            - $ref: '#/components/schemas/FfmpegSearchArguments'
            - type: 'null'
      type: object
      title: FfmpegIntegrationDef
      description: Ffmpeg integration definition
    CloudinaryUploadIntegrationDef:
      properties:
        provider:
          type: string
          const: cloudinary
          title: Provider
          default: cloudinary
        method:
          type: string
          const: media_upload
          title: Method
          default: media_upload
        setup:
          anyOf:
            - $ref: '#/components/schemas/CloudinarySetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/CloudinaryUploadArguments'
            - type: 'null'
      type: object
      title: CloudinaryUploadIntegrationDef
      description: Cloudinary upload integration definition
    CloudinaryEditIntegrationDef:
      properties:
        provider:
          type: string
          const: cloudinary
          title: Provider
          default: cloudinary
        method:
          type: string
          const: media_edit
          title: Method
          default: media_edit
        setup:
          anyOf:
            - $ref: '#/components/schemas/CloudinarySetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/CloudinaryEditArguments'
            - type: 'null'
      type: object
      title: CloudinaryEditIntegrationDef
      description: Cloudinary edit integration definition
    ArxivIntegrationDef:
      properties:
        provider:
          type: string
          const: arxiv
          title: Provider
          default: arxiv
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - {}
            - type: 'null'
          title: Setup
        arguments:
          anyOf:
            - $ref: '#/components/schemas/ArxivSearchArguments'
            - type: 'null'
      type: object
      title: ArxivIntegrationDef
      description: Arxiv integration definition
    UnstructuredIntegrationDef:
      properties:
        provider:
          type: string
          const: unstructured
          title: Provider
          default: unstructured
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - $ref: '#/components/schemas/UnstructuredSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/UnstructuredPartitionArguments'
            - type: 'null'
      type: object
      title: UnstructuredIntegrationDef
      description: Unstructured integration definition
    AlgoliaIntegrationDef:
      properties:
        provider:
          type: string
          const: algolia
          title: Provider
          default: algolia
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - $ref: '#/components/schemas/AlgoliaSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/AlgoliaSearchArguments'
            - type: 'null'
      type: object
      title: AlgoliaIntegrationDef
      description: Algolia integration definition
    McpIntegrationDef:
      properties:
        provider:
          type: string
          const: mcp
          title: Provider
          default: mcp
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - $ref: '#/components/schemas/McpSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/McpCallToolArguments'
            - $ref: '#/components/schemas/McpListToolsArguments'
            - type: 'null'
          title: Arguments
      type: object
      title: McpIntegrationDef
      description: MCP integration definition
    GoogleSheetsIntegrationDef-Output:
      properties:
        provider:
          type: string
          const: google_sheets
          title: Provider
          default: google_sheets
        method:
          anyOf:
            - type: string
              enum:
                - read_values
                - write_values
                - append_values
                - clear_values
                - batch_read
                - batch_write
            - type: 'null'
          title: Method
        setup:
          anyOf:
            - $ref: '#/components/schemas/GoogleSheetsSetup'
            - type: 'null'
        arguments:
          anyOf:
            - $ref: '#/components/schemas/GoogleSheetsReadArguments'
            - $ref: '#/components/schemas/GoogleSheetsWriteArguments'
            - $ref: '#/components/schemas/GoogleSheetsAppendArguments'
            - $ref: '#/components/schemas/GoogleSheetsClearArguments'
            - $ref: '#/components/schemas/GoogleSheetsBatchReadArguments'
            - $ref: '#/components/schemas/GoogleSheetsBatchWriteArguments'
            - type: 'null'
          title: Arguments
      type: object
      title: GoogleSheetsIntegrationDef
      description: Google Sheets integration definition
    SystemDef:
      properties:
        resource:
          type: string
          enum:
            - agent
            - user
            - task
            - execution
            - doc
            - session
            - job
          title: Resource
        operation:
          type: string
          enum:
            - create
            - update
            - patch
            - create_or_update
            - embed
            - change_status
            - search
            - chat
            - history
            - delete
            - get
            - list
          title: Operation
        resource_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Resource Id
        subresource:
          anyOf:
            - type: string
              enum:
                - tool
                - doc
                - execution
                - transition
            - type: 'null'
          title: Subresource
        arguments:
          anyOf:
            - type: object
            - type: 'null'
          title: Arguments
      type: object
      required:
        - resource
        - operation
      title: SystemDef
      description: System definition
    ApiCallDef-Output:
      properties:
        method:
          type: string
          enum:
            - GET
            - POST
            - PUT
            - DELETE
            - PATCH
            - HEAD
            - OPTIONS
            - CONNECT
            - TRACE
          title: Method
        url:
          type: string
          minLength: 1
          format: uri
          title: Url
        schema:
          anyOf:
            - type: object
            - type: 'null'
          title: Schema
        headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Headers
        secrets:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/SecretRef'
              type: object
            - type: 'null'
          title: Secrets
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        data:
          anyOf:
            - type: object
            - type: 'null'
          title: Data
        files:
          anyOf:
            - type: object
            - type: 'null'
          title: Files
        json:
          anyOf:
            - type: object
            - type: 'null'
          title: Json
        cookies:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Cookies
        params:
          anyOf:
            - type: string
            - type: object
            - type: 'null'
          title: Params
        params_schema:
          anyOf:
            - $ref: '#/components/schemas/ParameterSchema-Output'
            - type: 'null'
        follow_redirects:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Follow Redirects
        timeout:
          anyOf:
            - type: integer
            - type: 'null'
          title: Timeout
        include_response_content:
          type: boolean
          title: Include Response Content
          default: true
      type: object
      required:
        - method
        - url
      title: ApiCallDef
      description: API call definition
    Computer20241022Def:
      properties:
        type:
          type: string
          const: computer_20241022
          title: Type
          default: computer_20241022
        name:
          type: string
          title: Name
          default: computer
        display_width_px:
          type: integer
          minimum: 600
          title: Display Width Px
          default: 1024
        display_height_px:
          type: integer
          minimum: 400
          title: Display Height Px
          default: 768
        display_number:
          type: integer
          maximum: 10
          minimum: 1
          title: Display Number
          default: 1
      type: object
      title: Computer20241022Def
      description: Anthropic new tools
    TextEditor20241022Def:
      properties:
        type:
          type: string
          const: text_editor_20241022
          title: Type
          default: text_editor_20241022
        name:
          type: string
          title: Name
          default: str_replace_editor
      type: object
      title: TextEditor20241022Def
    Bash20241022Def:
      properties:
        type:
          type: string
          const: bash_20241022
          title: Type
          default: bash_20241022
        name:
          type: string
          title: Name
          default: bash
      type: object
      title: Bash20241022Def
    Content-Output:
      properties:
        text:
          type: string
          title: Text
        type:
          type: string
          const: text
          title: Type
          default: text
      type: object
      required:
        - text
      title: Content
    agents_api__autogen__Tasks__ContentModel:
      properties:
        image_url:
          $ref: '#/components/schemas/ImageUrl'
        type:
          type: string
          const: image_url
          title: Type
          default: image_url
      type: object
      required:
        - image_url
      title: ContentModel
    agents_api__autogen__Tasks__ContentModel1-Output:
      properties:
        tool_use_id:
          type: string
          title: Tool Use Id
        type:
          type: string
          const: tool_result
          title: Type
          default: tool_result
        content:
          anyOf:
            - items:
                $ref: '#/components/schemas/ContentItem'
              type: array
            - items:
                $ref: '#/components/schemas/ContentItemModel'
              type: array
          title: Content
      type: object
      required:
        - tool_use_id
        - content
      title: ContentModel1
      description: Anthropic image content part
    ChosenFunctionCall:
      properties:
        type:
          type: string
          const: function
          title: Type
          default: function
        function:
          $ref: '#/components/schemas/FunctionCallOption'
        integration:
          anyOf:
            - {}
            - type: 'null'
          title: Integration
        system:
          anyOf:
            - {}
            - type: 'null'
          title: System
        api_call:
          anyOf:
            - {}
            - type: 'null'
          title: Api Call
        computer_20241022:
          anyOf:
            - $ref: '#/components/schemas/ChosenComputer20241022'
            - type: 'null'
        text_editor_20241022:
          anyOf:
            - $ref: '#/components/schemas/ChosenTextEditor20241022'
            - type: 'null'
        bash_20241022:
          anyOf:
            - $ref: '#/components/schemas/ChosenBash20241022'
            - type: 'null'
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          readOnly: true
      type: object
      required:
        - function
      title: ChosenFunctionCall
    ChosenComputer20241022:
      properties:
        action:
          type: string
          enum:
            - key
            - type
            - cursor_position
            - mouse_move
            - left_click
            - right_click
            - middle_click
            - double_click
            - screenshot
          title: Action
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
        coordinate:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Coordinate
      type: object
      required:
        - action
      title: ChosenComputer20241022
    ChosenTextEditor20241022:
      properties:
        command:
          type: string
          enum:
            - str_replace
            - insert
            - view
            - undo_edit
          title: Command
        path:
          type: string
          title: Path
        file_text:
          anyOf:
            - type: string
            - type: 'null'
          title: File Text
        insert_line:
          anyOf:
            - type: integer
            - type: 'null'
          title: Insert Line
        new_str:
          anyOf:
            - type: string
            - type: 'null'
          title: New Str
        old_str:
          anyOf:
            - type: string
            - type: 'null'
          title: Old Str
        view_range:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: View Range
      type: object
      required:
        - command
        - path
      title: ChosenTextEditor20241022
    ChosenBash20241022:
      properties:
        command:
          anyOf:
            - type: string
            - type: 'null'
          title: Command
        restart:
          type: boolean
          title: Restart
          default: false
      type: object
      title: ChosenBash20241022
    ToolRefById:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
      type: object
      title: ToolRefById
      description: Reference to a tool by id
    ToolRefByName:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 40
              pattern: ^[^\W0-9]\w*$
            - type: 'null'
          title: Name
      type: object
      title: ToolRefByName
      description: Reference to a tool by name
    FunctionCallOption:
      properties:
        name:
          type: string
          title: Name
        arguments:
          anyOf:
            - type: string
            - type: 'null'
          title: Arguments
      type: object
      required:
        - name
      title: FunctionCallOption
    BraveSearchSetup:
      properties:
        brave_api_key:
          type: string
          title: Brave Api Key
      type: object
      required:
        - brave_api_key
      title: BraveSearchSetup
      description: Integration definition for Brave Search
    BraveSearchArguments:
      properties:
        query:
          type: string
          title: Query
      type: object
      required:
        - query
      title: BraveSearchArguments
      description: Arguments for Brave Search
    EmailSetup:
      properties:
        host:
          type: string
          title: Host
        port:
          type: integer
          title: Port
        user:
          type: string
          title: User
        password:
          type: string
          title: Password
      type: object
      required:
        - host
        - port
        - user
        - password
      title: EmailSetup
      description: Setup parameters for Email integration
    EmailArguments:
      properties:
        to:
          type: string
          title: To
        from:
          type: string
          title: From
        subject:
          type: string
          title: Subject
        body:
          type: string
          title: Body
      type: object
      required:
        - to
        - from
        - subject
        - body
      title: EmailArguments
      description: Arguments for Email sending
    SpiderSetup:
      properties:
        spider_api_key:
          type: string
          title: Spider Api Key
      type: object
      required:
        - spider_api_key
      title: SpiderSetup
      description: Setup parameters for Spider integration
    SpiderFetchArguments:
      properties:
        url:
          type: string
          minLength: 1
          format: uri
          title: Url
        content_type:
          type: string
          enum:
            - application/json
            - text/csv
            - application/xml
            - application/jsonl
          title: Content Type
          default: application/json
        params:
          anyOf:
            - type: object
            - type: 'null'
          title: Params
      type: object
      required:
        - url
      title: SpiderFetchArguments
      description: Arguments for Spider integration
    WikipediaSearchArguments:
      properties:
        query:
          type: string
          title: Query
        load_max_docs:
          type: integer
          maximum: 10
          minimum: 1
          title: Load Max Docs
          default: 2
      type: object
      required:
        - query
      title: WikipediaSearchArguments
      description: Arguments for Wikipedia Search
    WeatherSetup:
      properties:
        openweathermap_api_key:
          type: string
          title: Openweathermap Api Key
      type: object
      required:
        - openweathermap_api_key
      title: WeatherSetup
      description: Integration definition for Weather
    WeatherGetArguments:
      properties:
        location:
          type: string
          title: Location
      type: object
      required:
        - location
      title: WeatherGetArguments
      description: Arguments for Weather
    MailgunSetup:
      properties:
        api_key:
          type: string
          title: Api Key
      type: object
      required:
        - api_key
      title: MailgunSetup
      description: Setup parameters for Mailgun integration
    MailgunSendEmailArguments:
      properties:
        to:
          type: string
          title: To
        from:
          type: string
          title: From
        subject:
          type: string
          title: Subject
        body:
          type: string
          title: Body
        cc:
          anyOf:
            - type: string
            - type: 'null'
          title: Cc
        bcc:
          anyOf:
            - type: string
            - type: 'null'
          title: Bcc
      type: object
      required:
        - to
        - from
        - subject
        - body
      title: MailgunSendEmailArguments
      description: Arguments for mailgun.send_email method
    BrowserbaseSetup:
      properties:
        api_key:
          type: string
          title: Api Key
        project_id:
          type: string
          title: Project Id
        api_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Url
        connect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Connect Url
      type: object
      required:
        - api_key
        - project_id
      title: BrowserbaseSetup
      description: The setup parameters for the browserbase integration
    BrowserbaseContextArguments:
      properties:
        projectId:
          type: string
          title: Projectid
      type: object
      required:
        - projectId
      title: BrowserbaseContextArguments
    BrowserbaseExtensionArguments:
      properties:
        repositoryName:
          type: string
          title: Repositoryname
        ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Ref
      type: object
      required:
        - repositoryName
      title: BrowserbaseExtensionArguments
    BrowserbaseListSessionsArguments:
      properties:
        status:
          anyOf:
            - type: string
              enum:
                - RUNNING
                - ERROR
                - TIMED_OUT
                - COMPLETED
            - type: 'null'
          title: Status
      type: object
      title: BrowserbaseListSessionsArguments
    BrowserbaseCreateSessionArguments:
      properties:
        projectId:
          anyOf:
            - type: string
            - type: 'null'
          title: Projectid
        extensionId:
          anyOf:
            - type: string
            - type: 'null'
          title: Extensionid
        browserSettings:
          type: object
          title: Browsersettings
          default: {}
        timeout:
          type: integer
          title: Timeout
          default: 3600
        keepAlive:
          type: boolean
          title: Keepalive
          default: false
        proxies:
          anyOf:
            - type: boolean
            - items:
                type: object
              type: array
          title: Proxies
          default: false
      type: object
      title: BrowserbaseCreateSessionArguments
    BrowserbaseGetSessionArguments:
      properties:
        id:
          type: string
          title: Id
      type: object
      required:
        - id
      title: BrowserbaseGetSessionArguments
    BrowserbaseCompleteSessionArguments:
      properties:
        id:
          type: string
          title: Id
        status:
          type: string
          const: REQUEST_RELEASE
          title: Status
          default: REQUEST_RELEASE
      type: object
      required:
        - id
      title: BrowserbaseCompleteSessionArguments
    BrowserbaseGetSessionLiveUrlsArguments:
      properties:
        id:
          type: string
          title: Id
      type: object
      required:
        - id
      title: BrowserbaseGetSessionLiveUrlsArguments
    RemoteBrowserSetup:
      properties:
        connect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Connect Url
        width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width
        height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Height
      type: object
      title: RemoteBrowserSetup
      description: The setup parameters for the remote browser
    RemoteBrowserArguments:
      properties:
        connect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Connect Url
        action:
          type: string
          enum:
            - key
            - type
            - mouse_move
            - left_click
            - left_click_drag
            - right_click
            - middle_click
            - double_click
            - screenshot
            - cursor_position
            - navigate
            - refresh
          title: Action
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
        coordinate:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Coordinate
      type: object
      required:
        - action
      title: RemoteBrowserArguments
      description: The arguments for the remote browser
    LlamaParseSetup:
      properties:
        llamaparse_api_key:
          type: string
          title: Llamaparse Api Key
        params:
          anyOf:
            - type: object
            - type: 'null'
          title: Params
      type: object
      required:
        - llamaparse_api_key
      title: LlamaParseSetup
      description: Setup parameters for LlamaParse integration
    LlamaParseFetchArguments:
      properties:
        filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
        file:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: File
        params:
          anyOf:
            - type: object
            - type: 'null'
          title: Params
        base64:
          type: boolean
          title: Base64
          default: false
      type: object
      required:
        - file
      title: LlamaParseFetchArguments
      description: Arguments for LlamaParse integration
    FfmpegSearchArguments:
      properties:
        cmd:
          type: string
          title: Cmd
        file:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: File
      type: object
      required:
        - cmd
      title: FfmpegSearchArguments
      description: Arguments for Ffmpeg CMD
    CloudinarySetup:
      properties:
        cloudinary_api_key:
          type: string
          title: Cloudinary Api Key
        cloudinary_api_secret:
          type: string
          title: Cloudinary Api Secret
        cloudinary_cloud_name:
          type: string
          title: Cloudinary Cloud Name
        params:
          anyOf:
            - type: object
            - type: 'null'
          title: Params
      type: object
      required:
        - cloudinary_api_key
        - cloudinary_api_secret
        - cloudinary_cloud_name
      title: CloudinarySetup
      description: Setup parameters for Cloudinary integration
    CloudinaryUploadArguments:
      properties:
        file:
          type: string
          title: File
        return_base64:
          type: boolean
          title: Return Base64
          default: false
        public_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Public Id
        upload_params:
          anyOf:
            - type: object
            - type: 'null'
          title: Upload Params
      type: object
      required:
        - file
      title: CloudinaryUploadArguments
      description: Arguments for Cloudinary media upload
    CloudinaryEditArguments:
      properties:
        public_id:
          type: string
          title: Public Id
        transformation:
          items:
            type: object
          type: array
          title: Transformation
        return_base64:
          type: boolean
          title: Return Base64
          default: false
      type: object
      required:
        - public_id
        - transformation
      title: CloudinaryEditArguments
      description: Arguments for Cloudinary media edit
    ArxivSearchArguments:
      properties:
        query:
          type: string
          title: Query
        id_list:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Id List
        max_results:
          type: integer
          maximum: 300000
          minimum: 1
          title: Max Results
          default: 5
        download_pdf:
          type: boolean
          title: Download Pdf
          default: false
        sort_by:
          type: string
          enum:
            - relevance
            - lastUpdatedDate
            - submittedDate
          title: Sort By
          default: relevance
        sort_order:
          type: string
          enum:
            - ascending
            - descending
          title: Sort Order
          default: descending
      type: object
      required:
        - query
      title: ArxivSearchArguments
      description: Arguments for Arxiv Search
    UnstructuredSetup:
      properties:
        unstructured_api_key:
          type: string
          title: Unstructured Api Key
        server_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Url
        server:
          anyOf:
            - type: string
            - type: 'null'
          title: Server
        url_params:
          anyOf:
            - type: object
            - type: 'null'
          title: Url Params
        retry_config:
          anyOf:
            - type: object
            - type: 'null'
          title: Retry Config
        timeout_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Timeout Ms
      type: object
      required:
        - unstructured_api_key
      title: UnstructuredSetup
      description: Setup parameters for Unstructured integration
    UnstructuredPartitionArguments:
      properties:
        filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
        file:
          type: string
          title: File
        partition_params:
          anyOf:
            - type: object
            - type: 'null'
          title: Partition Params
      type: object
      required:
        - file
      title: UnstructuredPartitionArguments
      description: Arguments for Unstructured partition integration
    AlgoliaSetup:
      properties:
        algolia_application_id:
          type: string
          title: Algolia Application Id
        algolia_api_key:
          type: string
          title: Algolia Api Key
      type: object
      required:
        - algolia_application_id
        - algolia_api_key
      title: AlgoliaSetup
      description: Integration definition for Algolia
    AlgoliaSearchArguments:
      properties:
        index_name:
          type: string
          title: Index Name
        query:
          type: string
          title: Query
        attributes_to_retrieve:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Attributes To Retrieve
        hits_per_page:
          type: integer
          maximum: 1000
          minimum: 1
          title: Hits Per Page
          default: 10
      type: object
      required:
        - index_name
        - query
      title: AlgoliaSearchArguments
      description: Arguments for Algolia Search
    McpSetup:
      properties:
        transport:
          type: string
          enum:
            - sse
            - http
          title: Transport
        command:
          anyOf:
            - type: string
            - type: 'null'
          title: Command
        args:
          items:
            type: string
          type: array
          title: Args
          default: []
        cwd:
          anyOf:
            - type: string
            - type: 'null'
          title: Cwd
        env:
          additionalProperties:
            type: string
          type: object
          title: Env
          default: {}
        http_url:
          anyOf:
            - type: string
              minLength: 1
              format: uri
            - type: 'null'
          title: Http Url
        http_headers:
          additionalProperties:
            type: string
          type: object
          title: Http Headers
          default: {}
      type: object
      required:
        - transport
      title: McpSetup
      description: Setup parameters for MCP integration
    McpCallToolArguments:
      properties:
        tool_name:
          type: string
          title: Tool Name
        arguments:
          type: object
          title: Arguments
          default: {}
        timeout_seconds:
          type: integer
          title: Timeout Seconds
          default: 60
      type: object
      required:
        - tool_name
      title: McpCallToolArguments
      description: Arguments to call a named tool on the MCP server
    McpListToolsArguments:
      properties:
        dummy:
          type: string
          title: Dummy
          default: dummy
      type: object
      title: McpListToolsArguments
      description: Arguments to list available tools
    GoogleSheetsSetup:
      properties:
        use_julep_service:
          type: boolean
          title: Use Julep Service
        service_account_json:
          anyOf:
            - type: string
            - type: 'null'
          title: Service Account Json
        default_retry_count:
          type: integer
          maximum: 10
          minimum: 1
          title: Default Retry Count
          default: 3
      type: object
      required:
        - use_julep_service
      title: GoogleSheetsSetup
      description: Setup parameters for Google Sheets integration
    GoogleSheetsReadArguments:
      properties:
        spreadsheet_id:
          type: string
          title: Spreadsheet Id
        range:
          type: string
          title: Range
        major_dimension:
          type: string
          enum:
            - ROWS
            - COLUMNS
          title: Major Dimension
          default: ROWS
        value_render_option:
          type: string
          enum:
            - FORMATTED_VALUE
            - UNFORMATTED_VALUE
            - FORMULA
          title: Value Render Option
          default: FORMATTED_VALUE
        date_time_render_option:
          type: string
          enum:
            - SERIAL_NUMBER
            - FORMATTED_STRING
          title: Date Time Render Option
          default: FORMATTED_STRING
      type: object
      required:
        - spreadsheet_id
        - range
      title: GoogleSheetsReadArguments
      description: Arguments for reading values from a spreadsheet
    GoogleSheetsWriteArguments:
      properties:
        spreadsheet_id:
          type: string
          title: Spreadsheet Id
        range:
          type: string
          title: Range
        values:
          items:
            items: {}
            type: array
          type: array
          title: Values
        value_input_option:
          type: string
          enum:
            - RAW
            - USER_ENTERED
          title: Value Input Option
          default: USER_ENTERED
        insert_data_option:
          type: string
          enum:
            - OVERWRITE
            - INSERT_ROWS
          title: Insert Data Option
          default: OVERWRITE
        include_values_in_response:
          type: boolean
          title: Include Values In Response
          default: false
      type: object
      required:
        - spreadsheet_id
        - range
        - values
      title: GoogleSheetsWriteArguments
      description: Arguments for writing values to a spreadsheet
    GoogleSheetsAppendArguments:
      properties:
        spreadsheet_id:
          type: string
          title: Spreadsheet Id
        range:
          type: string
          title: Range
        values:
          items:
            items: {}
            type: array
          type: array
          title: Values
        value_input_option:
          type: string
          enum:
            - RAW
            - USER_ENTERED
          title: Value Input Option
          default: USER_ENTERED
        insert_data_option:
          type: string
          enum:
            - OVERWRITE
            - INSERT_ROWS
          title: Insert Data Option
          default: INSERT_ROWS
        include_values_in_response:
          type: boolean
          title: Include Values In Response
          default: false
      type: object
      required:
        - spreadsheet_id
        - range
        - values
      title: GoogleSheetsAppendArguments
      description: Arguments for appending values to a spreadsheet
    GoogleSheetsClearArguments:
      properties:
        spreadsheet_id:
          type: string
          title: Spreadsheet Id
        range:
          type: string
          title: Range
      type: object
      required:
        - spreadsheet_id
        - range
      title: GoogleSheetsClearArguments
      description: Arguments for clearing values from a spreadsheet
    GoogleSheetsBatchReadArguments:
      properties:
        spreadsheet_id:
          type: string
          title: Spreadsheet Id
        ranges:
          items:
            type: string
          type: array
          title: Ranges
        major_dimension:
          type: string
          enum:
            - ROWS
            - COLUMNS
          title: Major Dimension
          default: ROWS
        value_render_option:
          type: string
          enum:
            - FORMATTED_VALUE
            - UNFORMATTED_VALUE
            - FORMULA
          title: Value Render Option
          default: FORMATTED_VALUE
        date_time_render_option:
          type: string
          enum:
            - SERIAL_NUMBER
            - FORMATTED_STRING
          title: Date Time Render Option
          default: FORMATTED_STRING
      type: object
      required:
        - spreadsheet_id
        - ranges
      title: GoogleSheetsBatchReadArguments
      description: Arguments for batch reading values from multiple ranges
    GoogleSheetsBatchWriteArguments:
      properties:
        spreadsheet_id:
          type: string
          title: Spreadsheet Id
        data:
          items:
            $ref: '#/components/schemas/GoogleSheetsValueRange'
          type: array
          title: Data
        value_input_option:
          type: string
          enum:
            - RAW
            - USER_ENTERED
          title: Value Input Option
          default: USER_ENTERED
        include_values_in_response:
          type: boolean
          title: Include Values In Response
          default: false
      type: object
      required:
        - spreadsheet_id
        - data
      title: GoogleSheetsBatchWriteArguments
      description: Arguments for batch updating values in multiple ranges
    SecretRef:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: SecretRef
    ParameterSchema-Output:
      properties:
        type:
          type: string
          title: Type
          default: object
        properties:
          additionalProperties:
            $ref: '#/components/schemas/PropertyDefinition-Output'
          type: object
          title: Properties
        required:
          items:
            type: string
          type: array
          title: Required
          default: []
        additionalProperties:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Additionalproperties
      type: object
      required:
        - properties
      title: ParameterSchema
      description: JSON Schema for API call parameters
    ImageUrl:
      properties:
        url:
          type: string
          title: Url
        detail:
          type: string
          enum:
            - low
            - high
            - auto
          title: Detail
          default: auto
      type: object
      required:
        - url
      title: ImageUrl
      description: The image URL
    ContentItem:
      properties:
        text:
          type: string
          title: Text
        type:
          type: string
          const: text
          title: Type
          default: text
      type: object
      required:
        - text
      title: ContentItem
    ContentItemModel:
      properties:
        type:
          type: string
          const: image
          title: Type
          default: image
        source:
          $ref: '#/components/schemas/Source'
      type: object
      required:
        - source
      title: ContentItemModel
    GoogleSheetsValueRange:
      properties:
        range:
          type: string
          title: Range
        values:
          items:
            items: {}
            type: array
          type: array
          title: Values
        major_dimension:
          type: string
          enum:
            - ROWS
            - COLUMNS
          title: Major Dimension
          default: ROWS
      type: object
      required:
        - range
        - values
      title: GoogleSheetsValueRange
      description: Represents a range of values to write
    PropertyDefinition-Output:
      properties:
        type:
          type: string
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        enum:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Enum
        items:
          anyOf:
            - $ref: '#/components/schemas/PropertyDefinition-Output'
            - type: 'null'
      type: object
      required:
        - type
      title: PropertyDefinition
      description: Property definition for parameter schema
    Source:
      properties:
        type:
          type: string
          const: base64
          title: Type
          default: base64
        media_type:
          type: string
          title: Media Type
        data:
          type: string
          title: Data
      type: object
      required:
        - media_type
        - data
      title: Source
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````